Package it.ernytech.tdlib

## Class TdApi.AuthorizationStateWaitCode

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthorizationState
    - - it.ernytech.tdlib.TdApi.AuthorizationStateWaitCode

Enclosing class:
  TdApi

    public static class TdApi.AuthorizationStateWaitCode
    extends TdApi.AuthorizationState

TDLib needs the user's authentication code to finalize authorization.

### Field Summary

Fields
`TdApi.AuthenticationCodeInfo` `codeInfo` Information about the authorization code that was sent.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isRegistered` True, if the user is already registered.

### Constructor Summary

Constructors
`AuthorizationStateWaitCode()` Default constructor.
`AuthorizationStateWaitCode​(boolean isRegistered, TdApi.AuthenticationCodeInfo codeInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isRegistered

    public boolean isRegistered

True, if the user is already registered.

#### codeInfo

    public TdApi.AuthenticationCodeInfo codeInfo

Information about the authorization code that was sent.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AuthorizationStateWaitCode

    public AuthorizationStateWaitCode()

Default constructor.

#### AuthorizationStateWaitCode

    public AuthorizationStateWaitCode​(boolean isRegistered,
                                      TdApi.AuthenticationCodeInfo codeInfo)

Constructor for initialization of all fields.

Parameters:
  `isRegistered` - True, if the user is already registered.
  `codeInfo` - Information about the authorization code that was sent.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR